<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title> Cristo </title>
    <link rel="stylesheet" href="<?=$websiteBaseUrl?>/styles/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?=$websiteBaseUrl?>/styles/dist/styles.css">
</head>
<body>
    <?php include "navbar.php"; ?>
    <div class="intro d-flex align-items-center">
        <div class="container">
            <div class="d-flex flex-column gap-3 content">
                <h1 class="logo">Crist'o </h1>
                <h1> Trouvez les recettes parfaites
                    pour vous, sans lever le petit doigt ! </h1>
                <div class="input-part d-flex flex-column">
                    <form action="/action_page.php" method="get" class="d-flex gap-3">
                        <div class="d-flex flex-column gap-3 flex-grow-1">
                            <input class="form-control rounded-pill" type="text" placeholder="Chercher quelque chose" name="search">
                            <span class="text-uppercase text-center">ou</span>
                            <?php
                                require('voice.php');
                            ?>
                        </div>
                        <div>
                            <button class="btn btn-light rounded-pill" type="submit"><i class="fa fa-search"></i></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid py-2 bg-light">
        <span>Vous souhaitez ajouter votre recette ? <a href="#">Cliquez ici !</a></span>
    </div>

    <!-- Newsletter -->
    <div class="container rounded d-flex newsletter my-5 p-4">
        <div class="flex-fill align-self-center d-flex flex-column">
            <h3><strong>Abonnez-vous à notre Newsletter</strong></h3>
            <span class="text-muted">Et recevez toutes nos dernières recettes en avant-première.</span>
        </div>
        <div class="d-flex flex-fill align-self-center justify-content-end">
            <div class="d-flex">
                <input class="form-control me-2" type="email" placeholder="Votre email">
                <button type="button" class="btn btn-primary rounded-pill">S'abonner</button>
            </div>
        </div>
    </div>
    <!-- Fin -->

    <!-- Recettes -->
    <div class="container">
        <div class="block-titres">
            <h3><strong>Recettes faciles</strong></h3>
            <span class="text-muted">Une sélection de recettes simple à préparer pour vos repas.</span>
        </div>

        <div class="row pb-3">
            <?php
            $recettes = include "config/recettes.php";
            foreach($recettes as $index => $recette){
                $utilisateur = [
                    "username" => "Cristo",
                ];

                $description = $recette["content"];
                $description = (strlen($description) > 84) ? substr($description,0,80).'...' : $description;
                ?>

                <!-- Carte recette -->
                    <div class="col-md-6">
                        <div class="carte-recette">
                            <a href="/recette/<?=$index?>">
                                <div class="carte-recette-img" style="background-image: url('<?=$recette['images'][0]?>');"></div>
                            </a>
                            <div class="carte-recette-infos">
                                <a href="/recette/<?=$index?>" class="text-dark">
                                    <h4><strong><?=$recette['title']?></strong></h4>
                                </a>
                                <p><?=$description?></p>
                                <i><a href="/utilisateur/cristo" class="text-orange">Crist'o</a> <span class="text-muted"><i class="far fa-stopwatch"></i> 40 minutes</span></i>
                            </div>
                        </div>
                    </div>
                    <!-- Fin -->
            <?php } ?>
        </div>
    </div>
